RDKit::MolDrawShape Struct Reference

extra shape to add to canvas More...

`#include <MolDraw2D.h>`

## Public Attributes

MolDrawShapeType | shapeType = MolDrawShapeType::Polyline
std::vector< Point2D > | points
DrawColour | lineColour {0, 0, 0}
int | lineWidth = 2
bool | fill = false
bool | scaleLineWidth = false

## Detailed Description

extra shape to add to canvas

Definition at line 80 of file MolDraw2D.h.

## Member Data Documentation

## fill

bool RDKit::MolDrawShape::fill = false

Definition at line 85 of file MolDraw2D.h.

## lineColour

DrawColour RDKit::MolDrawShape::lineColour {0, 0, 0}

Definition at line 83 of file MolDraw2D.h.

## lineWidth

int RDKit::MolDrawShape::lineWidth = 2

Definition at line 84 of file MolDraw2D.h.

## points

std::vector<Point2D> RDKit::MolDrawShape::points

Definition at line 82 of file MolDraw2D.h.

## scaleLineWidth

bool RDKit::MolDrawShape::scaleLineWidth = false

Definition at line 86 of file MolDraw2D.h.

## shapeType

MolDrawShapeType RDKit::MolDrawShape::shapeType = MolDrawShapeType::Polyline

Definition at line 81 of file MolDraw2D.h.

The documentation for this struct was generated from the following file:

- MolDraw2D.h